@charset "utf-8";

.inner {
    width: clamp(840px, 60vw, 1008px);
}

/* ---------- 
column-header
----------*/
.column-header{
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid var(--color-text);
    padding-bottom: 40px;
    margin-bottom: 80px;
}

.column-header .column-info{
    width: clamp(544px, 38.857vw ,calc(544px * var(--ratio)));
}

.column-header .column-info .column-date{
    font-size: clamp(14px, 1vw, calc(14px * var(--ratio)));
    font-family: "Inter", sans-serif;
    font-weight: 400;
    margin-bottom: 15px;
}

.column-header .column-info .page-title-c{
    text-wrap: initial;
}

.column-header .column-image{
    width: clamp(256px, 18.21vw, calc(256px * var(--ratio)));
}

.column-header .column-image img{
    width: 100%;
}

@media screen and (max-width: 700px) {
    .column-header{
        flex-direction: column-reverse;
        padding-bottom: 30px;
        margin-bottom: 60px;
        justify-content: flex-start;
        gap: 30px;
    }

    .column-header .column-info{
        width: 100%;
    }

    .column-header .column-info .column-date{
        font-size: calc(14px / var(--fs-base) * 1rem);
    }

    .column-header .column-image{
        width: 100%;
    }
}

/* ---------- 
editor-block
----------*/
.editor-block{
    margin-bottom: 80px;
}

.editor-block img{
    display: block;
    margin: 60px auto;
}

.editor-block strong{
    font-weight: 500;
}

.editor-block .wp-caption {
    margin: 60px auto;
}

/*画像サイズを自動調整するための設定*/
.editor-block .wp-caption[style*="width"] {
    width: auto !important;
    max-width: 100% !important;
    height: auto !important;
}
.editor-block .wp-caption[style*="width"] img {
    width: auto !important;
    max-width: 100% !important;
    height: auto !important;
}

.editor-block .wp-caption .wp-caption-text {
    text-align: left;
}

.editor-block .alignleft{
    text-align: left;
    float: left;
    margin: 10px 50px 30px 0;
}

.editor-block .alignright{
    text-align: right;
    float: right;
    display: block;
    margin: 10px 0 30px 50px;
}

@media screen and (max-width: 700px) {
    .editor-block{
        margin-bottom: 60px;
    }

    .editor-block img{
        margin: 40px auto;
    }

    /*キャプション付きの画像設定*/
    .editor-block .wp-caption{
        margin: 40px auto;
    }

    .editor-block .alignleft{
        max-width: 160px;
        height: auto;
        margin: 10px 20px 20px 0;
    }
    .editor-block .alignright{
        max-width: 160px;
        height: auto;
        margin: 10px 0 20px 20px;
    }
}

/* ---------- 
article-credit
----------*/
.article-credit{
    margin-bottom: 80px;
}

.article-credit p{
    font-weight: 400;
    font-size: clamp(16px, 1.14vw, calc(16px * var(--ratio)));
    letter-spacing: 0.05em;
    line-height: calc(34/16);
}

@media screen and (max-width: 700px) {
    .article-credit{
        margin-bottom: 60px;
    }

    .article-credit p{
        font-size: calc(15px / var(--fs-base) * 1rem);
        line-height: calc(30/15)
    }
}

/* ---------- 
post-nav
----------*/
.post-nav {
    display: flex;
    justify-content: space-between;
    margin-bottom: 80px;
    padding: 25px 0;
    border-top: 1px solid var(--color-line);
    border-bottom: 1px solid var(--color-line);
}
.post-nav:not(:has(.post-nav-prev)) {
    justify-content: flex-end;
}
.post-nav:not(:has(.post-nav-next)) {
    justify-content: flex-start;
}
.post-nav .post-nav-prev + .post-nav-next {
    border-left: 1px solid var(--color-line);
}
.post-nav .post-nav-prev {
    position: relative;
    width: 50%;
    padding-left: 46px;
    padding-right: 20px;
    text-align: right;
}
.post-nav .post-nav-next {
    position: relative;
    width: 50%;
    padding-right: 46px;
    padding-left: 20px;
    text-align: left;
}
.post-nav .post-nav-prev .post-link,
.post-nav .post-nav-next .post-link {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 26px;
    height: 26px;
    border-radius: 50%;
    border: 1px solid var(--color-text);
}
.post-nav .post-nav-prev .post-link {
    left: 0;
}
.post-nav .post-nav-next .post-link {
    right: 0;
}
.post-nav .post-nav-prev .post-link:before {
    content: "";
    position: absolute;
    top: calc(50% - 1px);
    width: 8px;
    height: 8px;
    transform: rotate(45deg) translate(-50%);
    border-bottom: 1px solid var(--color-text);
    border-left: 1px solid var(--color-text);
    left: 50%;
}
.post-nav .post-nav-next .post-link:before {
    content: "";
    position: absolute;
    top: calc(50% - 1px);
    width: 8px;
    height: 8px;
    transform: rotate(45deg) translate(-50%);
    border-top: 1px solid var(--color-text);
    border-right: 1px solid var(--color-text);
    right: calc(50% - 4px);
}
.post-nav .post-date {
    margin-bottom: 15px;
    font-family: "Inter", sans-serif;
    font-size: clamp(14px, 1vw, calc(14px * var(--ratio)));
    font-weight: 400;
    color: var(--color-text);
}
.post-nav .post-title {
    display: inline;
    font-size: clamp(16px, 1.14vw, calc(16px * var(--ratio)));
    font-weight: 500;
    color: var(--color-text);
    letter-spacing: 0.05em;
    line-height: 1.875;
}
.post-nav .post-title.link-text {  
    background-image: linear-gradient(var(--color-text), var(--color-text));
}
@media screen and (min-width: 701px) {
    .post-nav:not(:has(.post-nav-prev)) .post-nav-next {
        border-left: 1px solid var(--color-line);
    }
    .post-nav:not(:has(.post-nav-next)) .post-nav-prev {
        border-right: 1px solid var(--color-line);
    }
    .post-nav .post-nav-prev:hover .post-link,
    .post-nav .post-nav-next:hover .post-link {
        background-color: var(--color-text);
    }
    .post-nav .post-nav-prev:hover .post-link:before {
        border-bottom: 1px solid var(--color-text-sub);
        border-left: 1px solid var(--color-text-sub);
    }
    .post-nav .post-nav-next:hover .post-link:before {
        border-top: 1px solid var(--color-text-sub);
        border-right: 1px solid var(--color-text-sub);
    }

    .post-nav .post-nav-prev:hover .link-text,
    .post-nav .post-nav-next:hover .link-text {
        background-size: 100% 1px;
    }
}
@media screen and (max-width: 700px) {
    .post-nav {
        flex-direction: column;
        margin-bottom: 60px;
        padding: 0;
    }
    .post-nav .post-nav-prev + .post-nav-next {
        border-left: none;
        border-top: 1px solid var(--color-line);
    }
    .post-nav .post-nav-prev {
        width: 100%;
        padding: 15px 40px 15px 41px;
        text-align: left;
    }
    .post-nav .post-nav-next {
        width: 100%;
        padding: 15px 41px 15px 40px;
        text-align: right;
    }
    .post-nav .post-nav-next .link-text{
        text-align: left;
    }
    .post-nav .post-date {
        margin-bottom: 10px;
        font-size: calc(12px / var(--fs-base) * 1rem);
    }
    .post-nav .post-title {
        font-size: calc(12px / var(--fs-base) * 1rem);
    }
}

/* ---------- 
btn-wrap
----------*/
.btn-wrap {
    margin-bottom: 80px;
}
@media screen and (max-width: 700px) {
    .btn-wrap {
        margin-bottom: 60px;
    }
}